#ifndef CAMERA_H
#define CAMERA_H

// Top left corner coordinates
int camera_x();
int camera_y();

/* Auto track mario, 
	The delay is custom: 
		0 default
		1 to follow perfectly mario, no delay
		the higher the delay is, the longest time the camera takes to go to mario (recommended as inferior to 6)
*/
void camera_move(int delay);

void camera_reset(); // Reset camera to (0,0)

void camera_adjust(); // Set camera on mario -> useful when there is a pipe, for example 

#endif