#ifndef MARIO_H
#define MARIO_H

#define M_SMALL 0
#define M_BIG   1

#define M_LEFT1  0
#define M_LEFT2  1
#define M_RIGHT1 2
#define M_RIGHT2 3

#define M_WALK   0
#define M_LITTLE 1
#define M_SWIM   2

#include "box.h"

typedef struct
{
	box_t p;
    int size; // small, big
    int type1; // left1 left2, right1, right2,
    int type2; // jump, down...
    int running;
} pnj;
extern pnj mario;
extern int coins;

void mario_draw();

//void mario_physics();

void mario_jump();

void mario_move();

void mario_bigger();

void mario_smaller();

extern int global_quit;
extern int numero_frame;
extern int mario_x_max;
extern int mario_dead;
extern int id_frame;
extern int mario_immunity;
extern int mario_has_bullets;
extern int last_vx_sign;

extern int mario_star_mode;

#endif